/*
*  QSNEWS.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#include "fileman.h"
#include "qsnewsver.h"
//---------------------------------------------------------------------------
USERES("QSnews\QSnews.res");
USEUNIT("QSnews\QSnewsVer.cpp");
USEFORM("QSnews\QSNewsWins.cpp", QSNewsWin);
USEFORM("QSnews\NewsManDlgs.cpp", NewsManDlg);
USEFORM("QSnews\NewsProfDlgs.cpp", NewsProfDlg);
USEFORM("QSnews\NewsGrpDlgs.cpp", NewsGrpDlg);
USEFORM("QSnews\NewsPasDlgs.cpp", NewsPasDlg);
USEFORM("QSnews\NewsNewDlgs.cpp", NewsNewDlg);
USEFORM("QSnews\HelpDlgs.cpp", HelpDlg);
USEFORM("QSnews\MsgBoxDlgs.cpp", MsgBoxDialog);
USEFORM("QSnews\NewsTransDlgs.cpp", NewsTransDlg);
USEFORM("QSnews\WipeDlgs.cpp", WipeDlg);
USEFORM("QSnews\View.cpp", ViewDlg);
USEUNIT("QSnews\FileMan.cpp");
USEUNIT("QSnews\HeadMan.cpp");
USEUNIT("QSnews\Mixmaster.cpp");
USEUNIT("QSnews\Global.cpp");
USEUNIT("QSnews\newsmail.cpp");
USEUNIT("QSnews\Explbtn.pas");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    HWND hWnd; CreateMutex(NULL,FALSE,"JustOneQSNews");
    if(GetLastError()==ERROR_ALREADY_EXISTS)
    {
       if ((hWnd=FindWindow("TQSNewsWin",NULL))>0)
       {
          ShowWindow(hWnd,SW_SHOWDEFAULT);
          SetForegroundWindow(hWnd);
          return 0;
       }
    }
    try
	{
		Application->Initialize();
		Application->CreateForm(__classid(TQSNewsWin), &QSNewsWin);
                Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
