/*
*  NewsTransDlgs.cpp
*  Copyright 1999-2003 by Benchmark Software
*  All Rights Reserved
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilver.skuz.net 
*
*  Richard
*  --
*  R.Christman
*  Benchmark Software
*  quicksilver@skuz.net
*  http://quicksilver.skuz.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "NewsTransDlgs.h"
#include "NewsProfDlgs.h"
#include "NewsManDlgs.h"
#include "fileman.h"
#include "Global.h"
#include "WipeDlgs.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TNewsTransDlg *NewsTransDlg;
//---------------------------------------------------------------------------
bool __fastcall MoveAppNewsDat2AppMainDat(TForm *Owner)
{
   NewsTransDlg = new TNewsTransDlg(Owner);
   NewsTransDlg->ShowModal();
   bool move = NewsTransDlg->ModalResult==mrOk;
   delete NewsTransDlg;
   return move;
}
//---------------------------------------------------------------------------
bool __fastcall HandleNewsgroupMail(TForm *Owner)
{
   if (FileExists(AppNewsDat))
   {
      MoveAppNewsDat2AppMainDat(Owner);
      zapfile(AppNewsDat,2);
      return true;
   }
   return false;
}
//---------------------------------------------------------------------------
__fastcall TNewsTransDlg::TNewsTransDlg(TComponent* Owner)
	: TForm(Owner)
{
   if (Owner) CenterDialog(this,Owner);
   Timer1->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TNewsTransDlg::Timer1Timer(TObject *Sender)
{
   Timer1->Enabled = false;
   TNewsProfile *profile;
   TNewsgroupProfile *newsgroup;
   TStringList *msg = new TStringList();
   TStringList *msgs = new TStringList();
   TNewsProfileList *profiles = new TNewsProfileList(AppMainDat);
   GetAppData(msgs,UserMailboxes+PS+"inbox",AppNewsDat);
   hEsubLib = LoadLibrary("psesub32.dll");
   int c=0; for (int m=0; m<msgs->Count; m++)
   {
      AnsiString line,prof,grup,num;
      Panel1->Caption = "scanning "+s(m+1)+" of "+s(msgs->Count)+" ("+s(c)+")"; Snooze(1);
      GetAppData(msg,UserMailboxes+PS+"inbox"+PS+msgs->Strings[m],AppNewsDat);
      if (msg->Count)
      {
         line=msg->Strings[0]; msg->Delete(0);
         prof=GetToken(0,line,"|"); grup=GetToken(1,line,"|"); num=GetToken(2,line,"|");

         profile=profiles->profile(prof);
         if (profile) newsgroup=profile->newsgroup(grup);
         if (newsgroup)
         {
            if (newsgroup->subjectmatch(msg))
               PutAppData(UserMailboxes+PS+"inbox"+PS+msgs->Strings[m],msg,AppMainDat);
            newsgroup->lastmessagenum = num.ToIntDef(-1);
            profiles->modified = true;
         }
      }
   }
   if (profiles->modified) profiles->Save();
   FreeLibrary(hEsubLib); hEsubLib = NULL;
   delete profiles;
   delete msgs;
   delete msg;
   ModalResult = mrOk;
}
//---------------------------------------------------------------------------
